Skip to main content

Send Payment Link

Endpoint for sending a Payment Link to your end-user via email.

info

Please be aware that this endpoint requires a Manage Payment Links API Key.

POST /api/v1/groups/{group_id}/payment-links/{payment_link_id}/send

Request Parameters

NameDescriptionTypeRequired
emailEmail address the Payment Link is sent to.stringRequired

Response

CodeDescription
200Success
400Bad Request / Validation error
500Internal Error

Example Usage

send.js
var headers = new Headers();
headers.append('Authorization', 'API_KEY');

var requestOptions = {
method: 'POST',
headers: headers,
redirect: 'follow',
body: {
// request body data
}
};
const group_id = '';
const payment_link_id = '';
const url = `https://api.reverepayments.dev/api/v1/groups/${group_id}/payment-links/${payment_link_id}/send`;
fetch(url, requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));

Example Request

{
"email": "end-user@example.com"
}

Example Success Response

The response body will be null, the status code is 200.